View Issue Details

IDProjectCategoryView StatusLast Update
0004962Talerauditorpublic2018-04-15 20:34
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0004962: generate financial report from audit DB
DescriptionThe main auditor tool checks signatures and generates a report about "bad" things. We should probably have a separate tool to generate a business report about the financial situation of the exchange. The auditor does (largely?) store the required information nicely in the database, we just need to extract and layout it.
Additional InformationSee in particular (for now):

* select_historic_denom_revenue() - coin expiration profits
* get_denomination_summary() - current overall balance from fees and risk exposure
* select_historic_losses() - for emergency (0003887) losses
TagsNo tags attached.

Activities

Christian Grothoff

2017-10-20 22:54

manager   ~0012498

Basic scripting logic for TeX template / JSON-instantiation exists.

What is now needed:
1) Auditor report (JSON output) needs to be made nicer, in particular better summaries (sum up misc. fields), add time range, add name of auditor & exchange, etc. So that the JSON provides more data for a nice report.

2) TeX template needs to be improved, in particular handling of very large tables, and just the general format/output (and actually reporting everything that could be in an auditor's report).

Christian Grothoff

2017-11-06 19:14

manager   ~0012570

As of cc09fbb..45c443f, the TeX template should nicely render all reports the auditor may generate, and the auditor was modified to include totals for summaries as required.

Naturally, was we progress on 0004958 further updates to the templating will be required, but the basic report rendering logic is now there and complete.

Issue History

Date Modified Username Field Change
2017-03-18 23:09 Christian Grothoff New Issue
2017-03-18 23:09 Christian Grothoff Status new => assigned
2017-03-18 23:09 Christian Grothoff Assigned To => Christian Grothoff
2017-03-18 23:12 Christian Grothoff Assigned To Christian Grothoff =>
2017-03-18 23:12 Christian Grothoff Priority normal => low
2017-03-18 23:12 Christian Grothoff Status assigned => confirmed
2017-03-18 23:12 Christian Grothoff Additional Information Updated View Revisions
2017-03-18 23:25 Christian Grothoff Target Version => 0.7
2017-04-09 00:09 Christian Grothoff Assigned To => Christian Grothoff
2017-04-09 00:09 Christian Grothoff Status confirmed => assigned
2017-10-20 22:54 Christian Grothoff Note Added: 0012498
2017-11-06 19:14 Christian Grothoff Status assigned => resolved
2017-11-06 19:14 Christian Grothoff Resolution open => fixed
2017-11-06 19:14 Christian Grothoff Fixed in Version => 0.5
2017-11-06 19:14 Christian Grothoff Note Added: 0012570
2017-11-06 19:14 Christian Grothoff Target Version 0.7 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed